Loading...
Searching...
No Matches
Opm::PdvdTable Class Reference
Inheritance diagram for Opm::PdvdTable:

## Public Member Functions

| PdvdTable (const DeckItem &item, const int tableID)
const TableColumn & | getDepthColumn () const
const TableColumn & | getPdewColumn () const
Public Member Functions inherited from Opm::SimpleTable
| SimpleTable (TableSchema, const std::string &tableName, const DeckItem &deckItem, const int tableID)
| SimpleTable (TableSchema)
void | addColumns ()
void | init (const std::string &tableName, const DeckItem &deckItem, const int tableID, double scaling_factor=0.0)
| Initialize deck item.
size_t | numColumns () const
size_t | numRows () const
void | addRow (const std::vector< double > &row, const std::string &tableName)
const TableColumn & | getColumn (const std::string &name) const
const TableColumn & | getColumn (size_t colIdx) const
bool | hasColumn (const std::string &name) const
TableColumn & | getColumn (const std::string &name)
TableColumn & | getColumn (size_t colIdx)
double | get (const std::string &column, size_t row) const
double | get (size_t column, size_t row) const
double | evaluate (const std::string &columnName, double xPos) const
| Evaluate a column of the table at a given position.
void | assertJFuncPressure (const bool jf) const
| throws std::invalid_argument if jf != m_jfunc
bool | operator== (const SimpleTable &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Additional Inherited Members

Static Public Member Functions inherited from Opm::SimpleTable
static SimpleTable | serializationTestObject ()
Protected Attributes inherited from Opm::SimpleTable
TableSchema | m_schema
OrderedMap< TableColumn > | m_columns
bool | m_jfunc = false

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/Tables/PdvdTable.hpp
- opm/input/eclipse/EclipseState/Tables/Tables.cpp